<?php
namespace Akky\Money;

/**
 * Generated by PHPUnit_SkeletonGenerator on 2016-03-16 at 15:30:58.
 */
class UsdFormatterTest extends \PHPUnit_Framework_TestCase
{
    /**
     * @var UsdFormatter
     */
    protected $object;

    /**
     * Sets up the fixture, for example, opens a network connection.
     * This method is called before a test is executed.
     */
    protected function setUp()
    {
        $this->object = new UsdFormatter;
    }

    /**
     * Tears down the fixture, for example, closes a network connection.
     * This method is called after a test is executed.
     */
    protected function tearDown()
    {
    }

    /**
     * Generated from @assert ("34000", 'en') == "$34,000".
     *
     * @covers UsdFormatter::format
     */
    public function testFormat()
    {
        $this->assertEquals(
            "$34,000"
,
            UsdFormatter::format("34000", 'en')
        );
    }

    /**
     * Generated from @assert ("123456.789", 'en') == "$123,457".
     *
     * @covers UsdFormatter::format
     */
    public function testFormat2()
    {
        $this->assertEquals(
            "$123,457"
,
            UsdFormatter::format("123456.789", 'en')
        );
    }

    /**
     * Generated from @assert ("1234567890", 'en') == "$1,234,567,890".
     *
     * @covers UsdFormatter::format
     */
    public function testFormat3()
    {
        $this->assertEquals(
            "$1,234,567,890"
,
            UsdFormatter::format("1234567890", 'en')
        );
    }

    /**
     * Generated from @assert ("34000") == "3万4000ドル".
     *
     * @covers UsdFormatter::formatInJapanese
     */
    public function testFormatInJapanese()
    {
        $this->assertEquals(
            "3万4000ドル"
,
            UsdFormatter::formatInJapanese("34000")
        );
    }

    /**
     * Generated from @assert ("123456.789") == "12万3457ドル".
     *
     * @covers UsdFormatter::formatInJapanese
     */
    public function testFormatInJapanese2()
    {
        $this->assertEquals(
            "12万3457ドル"
,
            UsdFormatter::formatInJapanese("123456.789")
        );
    }

    /**
     * Generated from @assert ("1234567890") == "12億3456万7890ドル".
     *
     * @covers UsdFormatter::formatInJapanese
     */
    public function testFormatInJapanese3()
    {
        $this->assertEquals(
            "12億3456万7890ドル"
,
            UsdFormatter::formatInJapanese("1234567890")
        );
    }
}
