<?php
namespace Akky\Money;

/**
 * PHPUnit_SkeletonGenerator is not available anymoere. These tests are manually updated now.
 */
class UsdTest extends \PHPUnit_Framework_TestCase
{
    /**
     * @var Usd
     */
    protected $object;

    /**
     * Sets up the fixture, for example, opens a network connection.
     * This method is called before a test is executed.
     */
    protected function setUp()
    {
        $this->object = new Usd;
    }

    /**
     * Tears down the fixture, for example, closes a network connection.
     * This method is called after a test is executed.
     */
    protected function tearDown()
    {
    }

    /**
     * Generated from @assert ("abcde") == "abcde".
     *
     * @covers Usd::apply
     */
    public function testApply()
    {
        $this->assertEquals(
            "abcde"
,
            $this->object->apply("abcde")
        );
    }

    /**
     * Generated from @assert ("1 million dollars") == '1 million dollars(1000000)'.
     *
     * @covers Usd::apply
     */
    public function testApply2()
    {
        $this->assertEquals(
            '1 million dollars(1000000)'
,
            $this->object->apply("1 million dollars")
        );
    }

    /**
     * Generated from @assert ("23.4 billion Dollars") == '23.4 billion Dollars(23000000000)'.
     *
     * @covers Usd::apply
     */
    public function testApply3()
    {
        $this->assertEquals(
            '23.4 billion Dollars(23400000000)'
,
            $this->object->apply("23.4 billion Dollars")
        );
    }

    /**
     * Generated from @assert ("350 US dollars") == '350 US dollars(350)'.
     *
     * @covers Usd::apply
     */
    public function testApply4()
    {
        $this->assertEquals(
            '350 US dollars(350)'
,
            $this->object->apply("350 US dollars")
        );
    }

    /**
     * Generated from @assert ("1 dollar") == '1 dollar(1)'.
     *
     * @covers Usd::apply
     */
    public function testApply5()
    {
        $this->assertEquals(
            '1 dollar(1)'
,
            $this->object->apply("1 dollar")
        );
    }

    /**
     * Generated from @assert ("$7.50") == '$7.50(7)'.
     *
     * @covers Usd::apply
     */
    public function testApply6()
    {
        $this->assertEquals(
            '$7.50(7)'
,
            $this->object->apply("$7.50")
        );
    }

    /**
     * Generated from @assert ("$199,666") == '$199,666(199666)'.
     *
     * @covers Usd::apply
     */
    public function testApply7()
    {
        $this->assertEquals(
            '$199,666(199666)'
,
            $this->object->apply("$199,666")
        );
    }

    /**
     * Generated from @assert ("$2,000,000.12") == '$2,000,000.12(2000000)'.
     *
     * @covers Usd::apply
     */
    public function testApply8()
    {
        $this->assertEquals(
            '$2,000,000.12(2000000)'
,
            $this->object->apply("$2,000,000.12")
        );
    }

    /**
     * Generated from @assert ("$2,000,000.12345") == '$2,000,000.12345(2000000)'.
     *
     * @covers Usd::apply
     */
    public function testApply9()
    {
        $this->assertEquals(
            '$2,000,000.12345(2000000)'
,
            $this->object->apply("$2,000,000.12345")
        );
    }

    /**
     * Generated from @assert ("399332ドル") == '399332ドル(399332)'.
     *
     * @covers Usd::apply
     */
    public function testApply10()
    {
        $this->assertEquals(
            '399332ドル(399332)'
,
            $this->object->apply("399332ドル")
        );
    }

    /**
     * Generated from @assert ("$199") == '$199(199)'.
     *
     * @covers Usd::apply
     */
    public function testApply11()
    {
        $this->assertEquals(
            '$199(199)'
,
            $this->object->apply("$199")
        );
    }

    /**
     * Generated from @assert ("キンドル") == 'キンドル'.
     *
     * @covers Usd::apply
     */
    public function testApply12()
    {
        $this->assertEquals(
            'キンドル'
,
            $this->object->apply("キンドル")
        );
    }

    /**
     * Generated from @assert ("円ドル") == '円ドル'.
     *
     * @covers Usd::apply
     */
    public function testApply13()
    {
        $this->assertEquals(
            '円ドル'
,
            $this->object->apply("円ドル")
        );
    }

    /**
     * Generated from @assert ("6.99ドル") == '6.99ドル(6)'.
     *
     * @covers Usd::apply
     */
    public function testApply14()
    {
        $this->assertEquals(
            '6.99ドル(6)'
,
            $this->object->apply("6.99ドル")
        );
    }

    /**
     * Generated from @assert ("399ドル") == '399ドル(399)'.
     *
     * @covers Usd::apply
     */
    public function testApply15()
    {
        $this->assertEquals(
            '399ドル(399)'
,
            $this->object->apply("399ドル")
        );
    }

    /**
     * Generated from @assert ("38万2400ドル") == '38万2400ドル(382400)'.
     *
     * @covers Usd::apply
     */
    public function testApply16()
    {
        $this->assertEquals(
            '38万2400ドル(382400)'
,
            $this->object->apply("38万2400ドル")
        );
    }

    /**
     * Generated from @assert ("748億6000ドル") == '748億6000ドル(74800006000)'.
     *
     * @covers Usd::apply
     */
    public function testApply17()
    {
        $this->assertEquals(
            '748億6000ドル(74800006000)'
,
            $this->object->apply("748億6000ドル")
        );
    }

    /**
     * Generated from @assert ("1234567890ドル") == '1234567890ドル(1234567890)'.
     *
     * @covers Usd::apply
     */
    public function testApply18()
    {
        $this->assertEquals(
            '1234567890ドル(1234567890)'
,
            $this->object->apply("1234567890ドル")
        );
    }

    /**
     * Generated from @assert ("6.85億ドル") == '6.85億ドル(600000000)'.
     *
     * @covers Usd::apply
     */
    public function testApply19()
    {
        $this->assertEquals(
            '6.85億ドル(685000000)'
,
            $this->object->apply("6.85億ドル")
        );
    }

    /**
     * Generated from @assert ("この34,000ドルを支払うには") == 'この34,000ドル(34000)を支払うには'.
     *
     * @covers Usd::apply
     */
    public function testApply20()
    {
        $this->assertEquals(
            'この34,000ドル(34000)を支払うには'
,
            $this->object->apply("この34,000ドルを支払うには")
        );
    }

    /**
     * Generated from @assert ("経済効果が、最大で約80億ドルになると分析した") == '経済効果が、最大で約80億ドル(8000000000)になると分析した'.
     *
     * @covers Usd::apply
     */
    public function testApply21()
    {
        $this->assertEquals(
            '経済効果が、最大で約80億ドル(8000000000)になると分析した'
,
            $this->object->apply("経済効果が、最大で約80億ドルになると分析した")
        );
    }

    /**
     * @covers Usd::apply
     */
    public function testApply22()
    {
        $this->assertEquals(
            'では、$2000(2000) ではどうだろう'
,
            $this->object->apply("では、$2000 ではどうだろう")
        );
    }

    /**
     * Generated from @assert (array("dollar1"=>"12,345")) == "12345".
     *
     * @covers Usd::normalize
     */
    public function testNormalize()
    {
        $this->assertEquals(
            "12345"
,
            $this->object->normalize(array("dollar1"=>"12,345"))
        );
    }

    /**
     * Generated from @assert (array("dollar1"=>"12,345.67")) == "12345".
     *
     * @covers Usd::normalize
     */
    public function testNormalize2()
    {
        $this->assertEquals(
            "12345"
,
            $this->object->normalize(array("dollar1"=>"12,345.67"))
        );
    }

    /**
     * Generated from @assert (array("trillion"=>"3")) == "3000000000000".
     *
     * @covers Usd::normalize
     */
    public function testNormalize3()
    {
        $this->assertEquals(
            "3000000000000"
,
            $this->object->normalize(array("trillion"=>"3"))
        );
    }

    /**
     * Generated from @assert (array("billion"=>"1","million"=>30,"dollar2"=>600)) == "1030000600".
     *
     * @covers Usd::normalize
     */
    public function testNormalize4()
    {
        $this->assertEquals(
            "1030000600"
,
            $this->object->normalize(array("billion"=>"1","million"=>30,"dollar2"=>600))
        );
    }

    /**
     * Generated from @assert (array("million"=>1)) == "1000000".
     *
     * @covers Usd::normalize
     */
    public function testNormalize5()
    {
        $this->assertEquals(
            "1000000"
,
            $this->object->normalize(array("million"=>1))
        );
    }

    /**
     * Generated from @assert (array("million"=>1.28)) == "1000000".
     *
     * @covers Usd::normalize
     */
    public function testNormalize6()
    {
        $this->assertEquals(
            "1280000"
,
            $this->object->normalize(array("million"=>1.28))
        );
    }

    /**
     * Generated from @assert (array("thousand"=>12,"dollar2"=>500)) == "12500".
     *
     * @covers Usd::normalize
     */
    public function testNormalize7()
    {
        $this->assertEquals(
            "12500"
,
            $this->object->normalize(array("thousand"=>12,"dollar2"=>500))
        );
    }

    /**
     * Generated from @assert (array("chou"=>"","oku"=>48,"man"=>6000)) == "4860000000".
     *
     * @covers Usd::normalize
     */
    public function testNormalize8()
    {
        $this->assertEquals(
            "4860000000"
,
            $this->object->normalize(array("chou"=>"","oku"=>48,"man"=>6000))
        );
    }

    /**
     * Generated from @assert (array("chou"=>1,"oku"=>2,"man"=>3,"dollar3"=>4)) == "1000200030004".
     *
     * @covers Usd::normalize
     */
    public function testNormalize9()
    {
        $this->assertEquals(
            "1000200030004"
,
            $this->object->normalize(array("chou"=>1,"oku"=>2,"man"=>3,"dollar3"=>4))
        );
    }

    /**
     * Generated from @assert (array("chou"=>12,"oku"=>3000)) == "12300000000000".
     *
     * @covers Usd::normalize
     */
    public function testNormalize10()
    {
        $this->assertEquals(
            "12300000000000"
,
            $this->object->normalize(array("chou"=>12,"oku"=>3000))
        );
    }

    /**
     * Generated from @assert (array("chou"=>12,"man"=>500)) == "12000005000000".
     *
     * @covers Usd::normalize
     */
    public function testNormalize11()
    {
        $this->assertEquals(
            "12000005000000"
,
            $this->object->normalize(array("chou"=>12,"man"=>500))
        );
    }

    /**
     * Generated from @assert (array("dollar3"=>"6.99")) == "6".
     *
     * @covers Usd::normalize
     */
    public function testNormalize12()
    {
        $this->assertEquals(
            "6"
,
            $this->object->normalize(array("dollar3"=>"6.99"))
        );
    }

    /**
     * Generated from @assert (array("man"=>2.7)) == "20000".
     *
     * @covers Usd::normalize
     */
    public function testNormalize13()
    {
        $this->assertEquals(
            "27000"
,
            $this->object->normalize(array("man"=>2.7))
        );
    }

    /**
     * Generated from @assert (array("oku"=>168)) == "16800000000".
     *
     * @covers Usd::normalize
     */
    public function testNormalize14()
    {
        $this->assertEquals(
            "16800000000"
,
            $this->object->normalize(array("oku"=>168))
        );
    }
}
